RPC_GSS_QOP_TO_NUM(3)

NAME
rpc_gss_qop_to_num - Convert a quality of protection name to number

LIBRARY
librpcsec_gss

SYNOPSIS
#include <rpc/rpcsec_gss.h>
bool_t
rpc_gss_qop_to_num(const char *qop, const char *mech, u_int *num_ret);

DESCRIPTION
This function looks up a quality of protection by name by reading the file /etc/gss/qop.

PARAMETERS

qop The quality of protection to search for

mech
    The mechanism name to search for

number_ret
    If the quality of protection is found, the corresponding number is returned in *num_ret

RETURN VALUES
If the value is found, TRUE is returned, otherwise FALSE.

SEE ALSO
rpc(3), gssapi(3), rpcset_gss(3)

HISTORY
The rpc_gss_qop_to_num function first appeared in FreeBSD 8.0.

AUTHORS
This manual page was written by Doug Rabson <dfr@FreeBSD.org>.